HP NC511i Driver (be2net and be2scsi) is missing in kernel module udebs

Bug #628776 reported by Stephan Ruegamer on 2010-09-02
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Tim Gardner
Lucid
Low
Tim Gardner
Maverick
Low
Tim Gardner
linux-mvl-dove (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Dear Colleagues,

I tested this morning two installations of Lucid (10.04.1) and Maverick (Daily from yesterday) server flavour.

The installation was performed on a HP BL465 G7 Series with an HP NC511i Ethernet/ISCSI/FoE dual port 10GBit/s card.
During installation via debian-installer, the network interfaces were not found, because of the missing kernel module.

But after installation and rebooting into the production system, the kernel detected the card and loaded the following modules:

be2net
be2scsi

Somehow those two modules are missing from the installer kernel udeb packages.

Please consider a fix for Maverick and also for Lucid 10.04.2

Thx in advance,

\sh

Tim Gardner (timg-tpi) on 2010-09-02
Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2010-09-02
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
milestone: none → ubuntu-10.04.2
Changed in linux (Ubuntu Maverick):
importance: Undecided → Low
milestone: none → ubuntu-10.10
Tim Gardner (timg-tpi) wrote :

Lucid SRU Justification

Impact: Cannot use net install or alternate install on some HP blades
Patch Description: Add module definitions to udeb creation
Patch: Attached

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-20.29

---------------
linux (2.6.35-20.29) maverick; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: i915 KMS -- support disabling KMS for known broken devices
    - LP: #563277
  * SAUCE: i915 KMS -- blacklist i830
    - LP: #542208, #563277
  * SAUCE: i915 KMS -- blacklist i845g
    - LP: #541492, #563277
  * SAUCE: i915 KMS -- blacklist i855
    - LP: #511001, #541511, #563277

  [ Leann Ogasawara ]

  * [Config] Enable CONFIG_SENSORS_PKGTEMP=m
    - LP: #601073
  * ARM: Temporarily disable module check for armel
  * rebase to v2.6.35.4
  * [Config] update configs following rebase to v2.6.35.4

  [ Ricardo Salveti de Araujo ]

  * [Config] Change CONFIG_LEDS_TRIGGER_HEARTBEAT from module to built-in
    in Omap

  [ Tim Gardner ]

  * [Config] Added be2net, be2scsi to udebs
    - LP: #628776

  [ Upstream Kernel Changes ]

  * x86, cpu: Package Level Thermal Control, Power Limit Notification
    definitions
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: pkgtemp hwmon driver
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: thermal throttling handler
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: power limit
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: pkgtemp documentation
    - LP: #601073
  * hid: 3m: Adjust to sequential MT HID protocol
  * hid: 3m: Convert to MT slots
  * hid: 3m: Correct touchscreen emulation
  * hid: 3m: Adjust major / minor axes to scale
  * input: bcm5974: Adjust major / minor to scale
  * HID: magicmouse: don't allow hidinput to initialize the device
  * HID: magicmouse: simplify multitouch feature request
  * HID: magicmouse: simplify touch data bit manipulation
  * HID: magicmouse: simplify touch down logic
  * HID: magicmouse: remove timestamp logic
  * HID: magicmouse: enable Magic Trackpad support
  * HID: magicmouse: Adjust major / minor axes to scale
  * mmc: fix all hangs related to mmc/sd card insert/removal during
    suspend/resume
    - LP: #477106
  * drm/i915: fix VGA plane disable for Ironlake+
    - LP: #602281
 -- Leann Ogasawara <email address hidden> Mon, 30 Aug 2010 08:38:01 -0700

Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Released

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Tim Gardner (timg-tpi) wrote :

The patch applied to Maverick was only partially correct. A pull request for both Lucid and Maverick is in progress.

Steve Conklin (sconklin) wrote :

Due to national holidays, the deadline for verification of fixes for the -proposed kernel has been extended thru Monday, November 15th.

If verification that this bug is fixed by the -proposed kernel has not occurred by that date, the change will be reverted and this bug will be set to incomplete.

If you have tested the kernel in -proposed and found that it fixes the bug on the original hardware, please change the bug tag "verification-needed" to "verification-done".

The new stable kernel release process under which these actions are being taken is still being refined, and is documented here:

https://wiki.ubuntu.com/Kernel/StableReleaseCadence

Discussions about the new process tend to take place in #ubuntu-kernel on IRC, so please contribute to the discussion there if you would like.

Thank you!

Steve Conklin (sconklin) wrote :

Verification that this bug is fixed has not been completed by the deadline for the current stable kernel release cycle.
The change will be reverted and this bug is being set to incomplete.

In order to have this fix considered for reapplication to the kernel, please follow the process documented here:

https://wiki.ubuntu.com/Kernel/StableReleaseCadence

Discussions about the new process tend to take place in #ubuntu-kernel on IRC, so please contribute to the discussion there if you would like.

Thank you!

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Incomplete
tags: added: stable-reverted-lucid
Steve Conklin (sconklin) on 2010-11-16
tags: removed: verification-needed
Tim Gardner (timg-tpi) on 2010-11-17
Changed in linux (Ubuntu Lucid):
status: Incomplete → Fix Committed
Tim Gardner (timg-tpi) wrote :

Lucid SRU:

These 2 patches in Lucid produce the correct kernel modules:

UBUNTU: [Config] Added be2net, be2scsi to udebs
UBUNTU: [Config] Use correct be2iscsi module name in d-i/modules/scsi-modules

As can be seen from the following, be2net.ko and be2iscsi.ko are produced in the correct udebs.

rtg@lochsa:~/kern/lucid/kern-64$ mkdir junk
rtg@lochsa:~/kern/lucid/kern-64$ dpkg -x nic-modules-2.6.32-26-generic-di_2.6.32-26.48_amd64.udeb junk
rtg@lochsa:~/kern/lucid/kern-64$ find junk|grep be2
junk/lib/modules/2.6.32-26-generic/kernel/drivers/net/benet/be2net.ko
rtg@lochsa:~/kern/lucid/kern-64$ rm -rf junk/*
rtg@lochsa:~/kern/lucid/kern-64$ dpkg -x scsi-modules-2.6.32-26-generic-di_2.6.32-26.48_amd64.udeb junk
rtg@lochsa:~/kern/lucid/kern-64$ find junk|grep be2
junk/lib/modules/2.6.32-26-generic/kernel/drivers/scsi/be2iscsi
junk/lib/modules/2.6.32-26-generic/kernel/drivers/scsi/be2iscsi/be2iscsi.ko

Tim Gardner (timg-tpi) wrote :
tags: added: verification-done
removed: stable-reverted-lucid
Martin Pitt (pitti) on 2010-12-07
Changed in linux (Ubuntu Maverick):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Tim Gardner (timg-tpi) wrote :

Verified:

wget https://launchpad.net/ubuntu/maverick/amd64/linux-image-2.6.35-24-generic/2.6.35-24.42
mkdir junk
dpkg -x linux-image-2.6.35-24-generic_2.6.35-24.42_amd64.deb junk
find junk|egrep "be2iscsi|be2net"
junk/lib/modules/2.6.35-24-generic/kernel/drivers/scsi/be2iscsi
junk/lib/modules/2.6.35-24-generic/kernel/drivers/scsi/be2iscsi/be2iscsi.ko
junk/lib/modules/2.6.35-24-generic/kernel/drivers/net/benet/be2net.ko

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Tim Gardner (timg-tpi) wrote :

Verified for Lucid:

$ wget http://launchpadlibrarian.net/59972539/linux-image-2.6.32-27-generic_2.6.32-27.49_amd64.deb
--2010-12-08 21:04:46-- http://launchpadlibrarian.net/59972539/linux-image-2.6.32-27-generic_2.6.32-27.49_amd64.deb
Resolving launchpadlibrarian.net... 91.189.89.228, 91.189.89.229
Connecting to launchpadlibrarian.net|91.189.89.228|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 31519310 (30M) [application/x-debian-package]
Saving to: `linux-image-2.6.32-27-generic_2.6.32-27.49_amd64.deb'

100%[========================================================================>] 31,519,310 4.45M/s in 13s

2010-12-08 21:05:01 (2.24 MB/s) - `linux-image-2.6.32-27-generic_2.6.32-27.49_amd64.deb' saved [31519310/31519310]

$ mkdir junk
$ dpkg -x linux-image-2.6.32-27-generic_2.6.32-27.49_amd64.deb junk
$ find junk|egrep "be2iscsi|be2net"
junk/lib/modules/2.6.32-27-generic/kernel/drivers/scsi/be2iscsi
junk/lib/modules/2.6.32-27-generic/kernel/drivers/scsi/be2iscsi/be2iscsi.ko
junk/lib/modules/2.6.32-27-generic/kernel/drivers/net/benet/be2net.ko

tags: added: verification-done
removed: verification-needed
Tim Gardner (timg-tpi) wrote :

Lucid verification, take 2:

$ mkdir junk
$ wget http://launchpadlibrarian.net/59972547/nic-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb
--2010-12-08 21:09:33-- http://launchpadlibrarian.net/59972547/nic-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb
Resolving launchpadlibrarian.net... 91.189.89.229, 91.189.89.228
Connecting to launchpadlibrarian.net|91.189.89.229|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2423280 (2.3M) [application/x-micro-debian-package]
Saving to: `nic-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb'

100%[========================================================================>] 2,423,280 1.51M/s in 1.5s

2010-12-08 21:09:35 (1.51 MB/s) - `nic-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb' saved [2423280/2423280]

$ dpkg -x nic-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb junk
$ wget http://launchpadlibrarian.net/59972552/scsi-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb
--2010-12-08 21:11:34-- http://launchpadlibrarian.net/59972552/scsi-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb
Resolving launchpadlibrarian.net... 91.189.89.228, 91.189.89.229
Connecting to launchpadlibrarian.net|91.189.89.228|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1477946 (1.4M) [application/x-micro-debian-package]
Saving to: `scsi-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb'

100%[========================================================================>] 1,477,946 1.22M/s in 1.2s

2010-12-08 21:11:35 (1.22 MB/s) - `scsi-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb' saved [1477946/1477946]

$ dpkg -x scsi-modules-2.6.32-27-generic-di_2.6.32-27.49_amd64.udeb junk
find junk|egrep "be2iscsi|be2net"
junk/lib/modules/2.6.32-27-generic/kernel/drivers/scsi/be2iscsi
junk/lib/modules/2.6.32-27-generic/kernel/drivers/scsi/be2iscsi/be2iscsi.ko
junk/lib/modules/2.6.32-27-generic/kernel/drivers/net/benet/be2net.ko

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed
Brad Figg (brad-figg) wrote :

Ignore the previous comment, i see the change was already verified.

tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (9.4 KiB)

This bug was fixed in the package linux - 2.6.32-27.49

---------------
linux (2.6.32-27.49) lucid-proposed; urgency=low

  [ Leann Ogasawara ]

  - LP: #683425
  * Revert "SAUCE: AF_ECONET prevent kernel stack overflow"
  * Revert "SAUCE: AF_ECONET SIOCSIFADDR ioctl does not check privileges"
  * Revert "SAUCE: AF_ECONET saddr->cookie prevent NULL pointer
    dereference"

  [ Tim Gardner ]

  * [Config] Added be2net, be2scsi to udebs
    - LP: #628776
  * [Config] Use correct be2iscsi module name in d-i/modules/scsi-modules
    - LP: #628776

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) ACPI: enable repeated PCIEXP wakeup by clearing
    PCIEXP_WAKE_STS on resume"
  * Revert "mm: (pre-stable) Move vma_stack_continue into mm.h"
  * x86, cpu: After uncapping CPUID, re-run CPU feature detection
    - LP: #668380
  * ALSA: sound/pci/rme9652: prevent reading uninitialized stack memory
    - LP: #668380
  * ALSA: oxygen: fix analog capture on Claro halo cards
    - LP: #668380
  * ALSA: hda - Add Dell Latitude E6400 model quirk
    - LP: #643891, #668380
  * ALSA: rawmidi: fix oops (use after free) when unloading a driver module
    - LP: #668380
  * USB: fix bug in initialization of interface minor numbers
    - LP: #668380
  * usb: musb: gadget: fix kernel panic if using out ep with FIFO_TXRX
    style
    - LP: #668380
  * usb: musb: gadget: restart request on clearing endpoint halt
    - LP: #668380
  * oprofile: Add Support for Intel CPU Family 6 / Model 29
    - LP: #668380
  * RDMA/cxgb3: Turn off RX coalescing for iWARP connections
    - LP: #668380
  * mmc: sdhci-s3c: fix NULL ptr access in sdhci_s3c_remove
    - LP: #668380
  * x86/amd-iommu: Set iommu configuration flags in enable-loop
    - LP: #668380
  * x86/amd-iommu: Fix rounding-bug in __unmap_single
    - LP: #668380
  * x86/amd-iommu: Work around S3 BIOS bug
    - LP: #668380
  * tracing/x86: Don't use mcount in pvclock.c
    - LP: #668380
  * tracing/x86: Don't use mcount in kvmclock.c
    - LP: #668380
  * v4l1: fix 32-bit compat microcode loading translation
    - LP: #668380
  * V4L/DVB: cx231xx: Avoid an OOPS when card is unknown (card=0)
    - LP: #668380
  * V4L/DVB (13966): DVB-T regression fix for saa7134 cards
    - LP: #668380
  * Input: joydev - fix JSIOCSAXMAP ioctl
    - LP: #668380
  * x86, hpet: Fix bogus error check in hpet_assign_irq()
    - LP: #668380
  * x86, irq: Plug memory leak in sparse irq
    - LP: #668380
  * ubd: fix incorrect sector handling during request restart
    - LP: #668380
  * ring-buffer: Fix typo of time extends per page
    - LP: #668380
  * dmaengine: fix interrupt clearing for mv_xor
    - LP: #668380
  * hrtimer: Preserve timer state in remove_hrtimer()
    - LP: #668380
  * i2c-pca: Fix waitforcompletion() return value
    - LP: #668380
  * wext: fix potential private ioctl memory content leak
    - LP: #668380
  * atl1: fix resume
    - LP: #668380
  * x86, AMD, MCE thresholding: Fix the MCi_MISCj iteration order
    - LP: #668380
  * De-pessimize rds_page_copy_user
    - LP: #668380
  * xfrm4: strip ECN and IP Precedence bits in policy lookup
    - LP: #668380
  * tcp: Fix >4GB writes on 64-bit.
    - LP: #668380
  * ne...

Read more...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2011-03-21
Changed in linux-mvl-dove (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (65.1 KiB)

This bug was fixed in the package linux-mvl-dove - 2.6.32-216.33

---------------
linux-mvl-dove (2.6.32-216.33) lucid-proposed; urgency=low

  [ Ubuntu: 2.6.32-31.60 ]

  * Release Tracking Bug
    - LP: #734950
  * SAUCE: Clear new_profile in error path
    - LP: #732700
  * [Config] CONFIG_BOOT_PRINTK_DELAY=y
    - LP: #733191
  * Revert "drm/radeon/bo: add some fallback placements for VRAM only
    objects."
    - LP: #652934
  * drm/radeon: fall back to GTT if bo creation/validation in VRAM fails.
    - LP: #652934
  * drm/radeon/kms: Fix retrying ttm_bo_init() after it failed once.
    - LP: #652934
  * xfs: always use iget in bulkstat
    - LP: #692848
  * drm/radeon/kms: make the mac rv630 quirk generic
    - LP: #728687
  * drm/radeon/kms: add pll debugging output
    - LP: #728687
  * drm/radeon: remove 0x4243 pci id
    - LP: #728687
  * drm/radeon/kms: fix s/r issues with bios scratch regs
    - LP: #728687
  * drm/i915/lvds: Add AOpen i915GMm-HFS to the list of false-positive LVDS
    - LP: #728687
  * drm/i915: Add dependency on CONFIG_TMPFS
    - LP: #728687
  * Linux 2.6.32.29+drm33.14
    - LP: #728687
  * NFSD: memory corruption due to writing beyond the stat array
    - LP: #728687
  * mptfusion: mptctl_release is required in mptctl.c
    - LP: #728687
  * mptfusion: Fix Incorrect return value in mptscsih_dev_reset
    - LP: #728687
  * ocfs2_connection_find() returns pointer to bad structure
    - LP: #728687
  * x25: decrement netdev reference counts on unload
    - LP: #728687
  * x86, hpet: Disable per-cpu hpet timer if ARAT is supported
    - LP: #728687
  * OHCI: work around for nVidia shutdown problem
    - LP: #728687
  * x86/pvclock: Zero last_value on resume
    - LP: #728687
  * av7110: check for negative array offset
    - LP: #728687
  * CRED: Fix get_task_cred() and task_state() to not resurrect dead
    credentials
    - LP: #728687
  * bonding/vlan: Avoid mangled NAs on slaves without VLAN tag insertion
    - LP: #728687
  * CRED: Fix kernel panic upon security_file_alloc() failure.
    - LP: #728687
  * CRED: Fix BUG() upon security_cred_alloc_blank() failure
    - LP: #728687
  * CRED: Fix memory and refcount leaks upon security_prepare_creds()
    failure
    - LP: #728687
  * sendfile(): check f_op.splice_write() rather than f_op.sendpage()
    - LP: #728687
  * isdn: hisax: Replace the bogus access to irq stats
    - LP: #728687
  * ixgbe: add support for 82599 based Express Module X520-P2
    - LP: #728687
  * ixgbe: prevent speculative processing of descriptors before ready
    - LP: #728687
  * scsi_dh_alua: add netapp to dev list
    - LP: #728687
  * scsi_dh_alua: Add IBM Power Virtual SCSI ALUA device to dev list
    - LP: #728687
  * dm raid1: fail writes if errors are not handled and log fails
    - LP: #728687
  * GFS2: Fix bmap allocation corner-case bug
    - LP: #728687
  * dm raid1: fix null pointer dereference in suspend
    - LP: #728687
  * sunrpc/cache: fix module refcnt leak in a failure path
    - LP: #728687
  * be2net: Maintain tx and rx counters in driver
    - LP: #728687
  * tcp: Make TCP_MAXSEG minimum more correct.
    - LP: #728687
  * nfsd: correctly handle return value from ...

Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Fix Released
Paolo Pisati (p-pisati) on 2011-03-25
Changed in linux-mvl-dove (Ubuntu Maverick):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers